When pasting a mix of <del>eted and nondeleted text into the visual editor, the deleted text is not shown
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce

  1. Copy some text, some of which is struck out with a <del> element and some of which isn't. For example, this sentence: "don't delete me!"
  2. Try to paste it into the visual editor.
  3. Only the text which isn't struck out will appear.

This is particularly problematic because deleted text in Mediawiki diffs is marked up with a non-displayed <del> element. For example, the text removed in this edit will be copied as <del>He</del> <del>was</del> <del>a</del> <del>serving</del> <del>soldier</del>. If this is pasted into the visual editor, only the spaces will appear.

Verified in Firefox 41 and Chrome 44.

Details

Security
None
Reference
bz64760
bzimport set Reference to bz64760.

Created attachment 15278
The text that was supposed to be pasted here began, "The history of the custom is rooted not necessarily for the provision of goods...

Attached:

Created attachment 15279
This paste should have read, "Men are rarely present at bridal showers. However, there have been "Wedding Showers" in which the groom, groomsmen and friends of the groom attend the wedding shower."

Attached:

Created attachment 15280
This paste is the same as the previous one in Safari, but retained the diff (table) formatting

Attached:

I think we have another version of this at https://en.wikipedia.org/w/index.php?oldid=614417933#Cut_and_paste_from_a_diff

This time, the copying was from a diff. The computer was running Chrome on Mac OS X Mavericks.

Jdforrester-WMF changed the task status from "Open" to "Stalled".Feb 2 2015, 7:24 PM
Neil_P._Quinn_WMF changed the title from "VisualEditor: Sometimes pasting text into a page results in only part of the text appearing." to "When pasting a mix of <del>eted and nondeleted text into the visual editor, the deleted text is not shown".Jul 23 2015, 9:16 PM
Neil_P._Quinn_WMF edited the task description. (Show Details)
Neil_P._Quinn_WMF changed the task status from "Stalled" to "Open".
Neil_P._Quinn_WMF triaged this task as "High" priority.
Neil_P._Quinn_WMF set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2015, 9:16 PM

Change 238872 had a related patch set uploaded (by Jforrester):
StrikethroughAnnotation: Alias <del> tags like we do for <code>/<tt>

https://gerrit.wikimedia.org/r/238872

Jdforrester-WMF edited a custom field.

Change 238872 merged by jenkins-bot:
StrikethroughAnnotation: Alias <del> tags like we do for <code>/<tt>

https://gerrit.wikimedia.org/r/238872

Jdforrester-WMF closed this task as "Resolved".Sep 21 2015, 5:25 PM
Jdforrester-WMF moved this task from Backlog to TR0: Interrupt on the VisualEditor board.

Add Comment